# Package org.codehaus.groovy.syntax

- Class Summary
  Class | Description
  --- | ---
  ASTHelper | A common base class of AST helper methods which can be shared across the classic and new parsers
  CSTNode | An abstract base class for nodes in the concrete syntax tree that is the result of parsing.
  Numbers | Helper class for processing Groovy numeric literals.
  Reduction | A syntax reduction, produced by the `Parser`.
  Token | A `CSTNode` produced by the `Lexer`.
  TokenUtil | Utility methods for working with Tokens.
  Types | Typing information for the CST system.

- Exception Summary
  Exception | Description
  --- | ---
  ParserException |
  ReadException | Encapsulates non-specific i/o exceptions.
  RuntimeParserException | A helper class to allow parser exceptions to be thrown anywhere in the code.
  SyntaxException | Base exception indicating a syntax error.
  TokenException |
  TokenMismatchException |